CADhr

Hrvatski CAD portal

 
 
 
 

Definiranje linija pomoću VBA

Jedan jednostavan kod za definiranje linija pomoću Visual Basic-a ukoliko želite da u sekundi imate kreiran svoj vlastiti nacrt podlogu.

Ovo postaje interesantno otkad je Auto CAD uveo naredbu: Layer Translator (nalazi se u Tools\CAD Standards\) jer omogućava da svaki nacrt bez obzira na zahtjev kupca crtate prema svojoj podlozi te na kraju preimenujete linije prema zahtjevima kupca.
Dakle evo koda:

Sub Izrada_linije()
Dim layerObj As Object
Set layerObj = ThisDrawing.Layers.Add("LAYER1")
layerObj.color = acMagenta
MsgBox "LAYER1 set to Magenta"
End Sub

Opis procedure:
Naziv procedure je Izrada_linije
drugi red proglašava layerObj kao objekt
treći red postavlja layerObj to jest s izjavom ThisDrawing.Layers.Add("LAYER1")
dodaje (stvara) novu liniju u acadu pod imenom LAYER1
četvrti red  (layerObj.color = acMagenta) novostvorenoj liniji LAYER1 dodjeljuje  
boju Magenta
peti red postavlja tekstualnu poruku na ekran "LAYER1 set to Magenta"
šesti red je izlaz iz procedure.

Sada možete vidjeti u ACADu da je stvorena nova linija LAYER1.
Da bi učitali proceduru možete jednostavno postupiti na sljedeći način:
Otvorite prazan Autu cad. U Tools\Macro\Visual Basic Editor (kratica Alt+F11) otvorite Visual basic editor. U njemu stisnite Insert\Module. Ovdje jednostavno kopirajte gornji kod te sa plavim trokutom u paleti s alatima ili F5 startajte proceduru i to je to.
Ugodan rad.

Postavio urednik 15.10.2007 23:03:47